Skip to content
This repository

evented I/O for v8 javascript

tag: v0.6.10

2012.02.02, Version 0.6.10 (stable)

* Update V8 to 3.6.6.20

* Add npm msysgit bash shim to msi installer (isaacs)

* buffers: fix intermittent out of bounds error (Ben Noordhuis)

* buffers: honor length argument in base64 decoder (Ben Noordhuis)

* windows: Fix path.exists regression (Bert Belder)

* Make QueryString.parse run faster (Philip Tellis)

* http: avoid freeing http-parser objects too early (koichik)

* timers: add v0.4 compatibility hack (Ben Noordhuis)

* Proper EPERM error code support (Igor Zinkovsky, Brandon Philips)

* dgram: Implement udp multicast methods on windows (Bert Belder)
latest commit 051908e023
Isaac Z. Schlueter isaacs authored February 02, 2012
Octocat-spinner-32 benchmark bench: add /echo endpoint to http_simple December 30, 2011
Octocat-spinner-32 deps Patches floating on v8 February 02, 2012
Octocat-spinner-32 doc 2012.02.02, Version 0.6.10 (stable) February 02, 2012
Octocat-spinner-32 lib _makeLong shouldn't turn the empty string into \\?\C:\ February 02, 2012
Octocat-spinner-32 src 2012.02.02, Version 0.6.10 (stable) February 02, 2012
Octocat-spinner-32 test buffers: fix intermittent out of bounds error February 02, 2012
Octocat-spinner-32 tools msi: npm bash shim fixes February 02, 2012
Octocat-spinner-32 .gitattributes Explicitly disable cr/lf conversion for test fixtures August 10, 2011
Octocat-spinner-32 .gitignore .gitignore core and vgcore files December 14, 2011
Octocat-spinner-32 .travis.yml test: add `.travis.yml` for testing on Travis CI December 05, 2011
Octocat-spinner-32 AUTHORS 2012.01.27, Version 0.6.9 (stable) January 27, 2012
Octocat-spinner-32 BSDmakefile Tell BSD users to run `gmake` instead. July 11, 2011
Octocat-spinner-32 ChangeLog 2012.02.02, Version 0.6.10 (stable) February 02, 2012
Octocat-spinner-32 LICENSE s/NPM/npm/ December 05, 2011
Octocat-spinner-32 Makefile doc: Add images to makefile January 23, 2012
Octocat-spinner-32 Makefile-gyp build: fix breakage when resuming make September 12, 2011
Octocat-spinner-32 README.md docs: mention that python 2.6 or 2.7 is required January 05, 2012
Octocat-spinner-32 common.gypi Support native extension loading on Windows October 29, 2011
Octocat-spinner-32 configure build: honour the PYTHON environment variable January 08, 2012
Octocat-spinner-32 configure-gyp build: fixups for sunos September 12, 2011
Octocat-spinner-32 node.gyp support nosnapshot in vcbuild.bat January 06, 2012
Octocat-spinner-32 vcbuild.bat support nosnapshot in vcbuild.bat January 06, 2012
Octocat-spinner-32 wscript simple DTrace ustack helper December 16, 2011
README.md

Evented I/O for V8 javascript. Build Status

To build:

Unix/Macintosh (requires python 2.6 or 2.7):

./configure
make
make install

Windows:

vcbuild.bat

To run the tests:

Unix/Macintosh:

make test

Windows:

vcbuild.bat test

To build the documentation:

make doc

To read the documentation:

man doc/node.1

Resources for Newcomers

Something went wrong with that request. Please try again.